View Issue Details

IDProjectCategoryView StatusLast Update
0015070ScribusStory Editor / Text Framespublic2017-12-20 20:58
ReporterJLuc Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.4.svn 
Summary0015070: Incorrect cursor position after undoing or redoing text action
DescriptionIn apps i tested, text insert carret follows undo or redo insert place. Not allways In scribus.

Ok :
When undoing text insert, the editing carret moves at the previously insert place.
That's fine. It makes it easy to follow the requested edits.

NOT Ok :
When undoing some text-delete, the editing carret places doesnt change.
It makes it uncomfortable to see, understand and check what the undo has done.
Text insert place = carret place should move after re-inserted previously-releted text.

NOT Ok :
When redoing text insert after undoing it, the editing carret doesnt move.

Tagsundo, usability
PatchNo

Relationships

child of 0012500 acknowledged Metabug: Undo/Redo (1.5.x.svn) 

Activities

JLuc

2017-12-14 08:49

developer   ~0044758

I confirm the fix.
Nice usability improvement.

Issue History

Date Modified Username Field Change
2017-12-13 09:22 JLuc New Issue
2017-12-13 09:22 JLuc Tag Attached: undo
2017-12-13 09:26 JLuc Relationship added child of 0012500
2017-12-13 09:29 JLuc Description Updated View Revisions
2017-12-13 19:00 jghali Summary Carret cursor position after undoing or redoing text action => Incorrect cursor position after undoing or redoing text action
2017-12-13 19:19 jghali Assigned To => jghali
2017-12-13 19:19 jghali Status new => resolved
2017-12-13 19:19 jghali Resolution open => fixed
2017-12-13 19:19 jghali Fixed in Version => 1.5.4.svn
2017-12-14 08:49 JLuc Note Added: 0044758
2017-12-14 08:49 JLuc Tag Attached: usability
2017-12-20 20:58 cbradney Status resolved => closed